# Exceptions

exception `treebeard.exceptions.``InvalidPosition`

  Raised when passing an invalid pos value

exception `treebeard.exceptions.``InvalidMoveToDescendant`

  Raised when attemping to move a node to one of it’s descendants.

exception `treebeard.exceptions.``NodeAlreadySaved`

  Raised when attempting to add a node which is already saved to the database.

exception `treebeard.exceptions.``PathOverflow`

  Raised when trying to add or move a node to a position where no more nodes can be added (see `path` and `alphabet` for more info)

exception `treebeard.exceptions.``MissingNodeOrderBy`

  Raised when an operation needs a missing `node_order_by` attribute